interface Item {
    date: string;
    text: string;
}
declare class ActionFeed extends HTMLElement {
    url: string | null;
    cache: boolean;
    constructor();
    static get observedAttributes(): string[];
    connectedCallback(): void;
    attributeChangedCallback(name: string, _oldValue: string | null, newValue: string | null): void;
    loadData(callback: (data: any) => void): void;
    makeItem(parentElement: HTMLElement, attributes: Item): void;
}
